## NMDeviceOvsBridge

NMDeviceOvsBridge

## Functions

const GPtrArray * | nm_device_ovs_bridge_get_slaves ()

## Types and Values

#define | NM_DEVICE_OVS_BRIDGE_SLAVES

## Description

## Functions

### nm_device_ovs_bridge_get_slaves ()

    const GPtrArray *
    nm_device_ovs_bridge_get_slaves (NMDeviceOvsBridge *device);

`nm_device_ovs_bridge_get_slaves` has been deprecated since version 1.34 and should not be used in newly-written code.

Use `nm_device_get_ports()` instead.

Gets the ports currently enslaved to `device` .

#### Parameters

device | a NMDeviceOvsBridge |

#### Returns

the GPtrArray containing NMDevices that are slaves of `device` . This is the internal copy used by the device, and must not be modified.

[element-type NMDevice]

Since: 1.14

## Types and Values

### NM_DEVICE_OVS_BRIDGE_SLAVES

    #define NM_DEVICE_OVS_BRIDGE_SLAVES "slaves"